# $Revision: 1.226 $, $Date: 2009/04/02 17:20:24 $
Summary:	The core programs for the GNOME GUI desktop environment
Summary(pl.UTF-8):	Podstawowe programy środowiska graficznego GNOME
Name:		gnome-panel
Version:	2.26.0
Release:	3
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-panel/2.26/%{name}-%{version}.tar.bz2
# Source0-md5:	27965de9b12952b22b7e232af6acb0de
Patch0:		%{name}-no_launchers_on_panel.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=552049
Patch1:		%{name}-use-sysconfig-timezone.patch
Patch2:		%{name}-logout.patch
Patch3:		%{name}-logout-po.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.26.0
BuildRequires:	NetworkManager-devel >= 0.6
BuildRequires:	ORBit2-devel >= 1:2.14.9
BuildRequires:	PolicyKit-gnome-devel >= 0.7
BuildRequires:	autoconf
BuildRequires:	automake > 1:1.9
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	evolution-data-server-devel >= 2.24.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.19.7
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-desktop-devel >= 2.26.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gnome-menus-devel >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.16.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libbonoboui-devel >= 2.24.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libgnomeui-devel >= 2.24.0
BuildRequires:	libgweather-devel >= 2.24.1
BuildRequires:	librsvg-devel >= 2.22.0
BuildRequires:	libtool
BuildRequires:	libwnck-devel >= 2.26.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.15.0
BuildRequires:	rpm-build >= 4.1-10
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper >= 0.3.11
BuildConflicts:	GConf-devel < 1.0.9-7
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gnome-desktop >= 2.26.0
Requires:	gnome-icon-theme >= 2.26.0
Requires:	tzdata >= 2008b-4
Requires:	xdg-menus
Suggests:	PolicyKit-gnome >= 0.7
Suggests:	gnome-utils-screenshot
Suggests:	gnome-utils-search-tool
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

The gnome-panel packages provides the GNOME panel, menus and some
basic applets for the panel.

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) to zestaw przyjaznych dla
użytkownika aplikacji i narzędzi do używania w połączeniu z zarządcą
okien pod X. GNOME ma podobny cel jak CDE i KDE, ale bazuje całkowicie
na wolnym oprogramowaniu.

Ten pakiet dostarcza panel GNOME2, menu oraz podstawowe aplety dla
panelu GNOME2.

%package libs
Summary:	GNOME panel library
Summary(pl.UTF-8):	Biblioteka panelu GNOME
Group:		X11/Libraries
Requires:	libgnomeui >= 2.24.0
Requires:	librsvg >= 1:2.22.0

%description libs
GNOME panel library.

%description libs -l pl.UTF-8
Biblioteka panelu GNOME.

%package devel
Summary:	GNOME panel includes, and more
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki panelu GNOME
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.16.0
Requires:	libbonoboui-devel >= 2.24.0
Requires:	libgnomeui-devel >= 2.24.0

%description devel
Panel header files for creating GNOME panels.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek panelu GNOME.

%package static
Summary:	GNOME panel static libraries
Summary(pl.UTF-8):	Statyczne biblioteki panelu GNOME
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Panel static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki panelu GNOME.

%package apidocs
Summary:	panel-applet API documentation
Summary(pl.UTF-8):	Dokumentacja API panel-applet
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
panel-applet API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API panel-applet.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
# needs update!
#%patch3 -p1

# short circuit stopper (fix me!)
mv ChangeLog main-ChangeLog
find . -name ChangeLog |awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}'|sh

%build
%{__gtkdocize}
%{__gnome_doc_prepare}
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install \
	--enable-eds \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_datadir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

install %{name}/panel-default-setup.entries $RPM_BUILD_ROOT%{_datadir}/%{name}

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/panel-default-setup.entries
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{ca@valencia,la}

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install clock.schemas
%gconf_schema_install fish.schemas
%gconf_schema_install panel-compatibility.schemas
%gconf_schema_install panel-general.schemas
%gconf_schema_install panel-global.schemas
%gconf_schema_install panel-object.schemas
%gconf_schema_install panel-toplevel.schemas
%gconf_schema_install window-list.schemas
%gconf_schema_install workspace-switcher.schemas
%update_icon_cache hicolor

%{_bindir}/gconftool-2 --direct \
	--config-source="`%{_bindir}/gconftool-2 --get-default-source`" \
	--load %{_datadir}/%{name}/panel-default-setup.entries > /dev/null
%{_bindir}/gconftool-2 --direct \
	--config-source="`%{_bindir}/gconftool-2 --get-default-source`" \
	--load %{_datadir}/%{name}/panel-default-setup.entries /apps/panel/profiles/default > /dev/null

%preun
%gconf_schema_uninstall clock.schemas
%gconf_schema_uninstall fish.schemas
%gconf_schema_uninstall panel-compatibility.schemas
%gconf_schema_uninstall panel-general.schemas
%gconf_schema_uninstall panel-global.schemas
%gconf_schema_uninstall panel-object.schemas
%gconf_schema_uninstall panel-toplevel.schemas
%gconf_schema_uninstall window-list.schemas
%gconf_schema_uninstall workspace-switcher.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README *ChangeLog
%attr(755,root,root) %{_bindir}/gnome-desktop-item-edit
%attr(755,root,root) %{_bindir}/gnome-panel
%attr(755,root,root) %{_bindir}/panel-test-applets
%attr(755,root,root) %{_libdir}/clock-applet
%attr(755,root,root) %{_libdir}/fish-applet-2
%attr(755,root,root) %{_libdir}/gnome-clock-applet-mechanism
%attr(755,root,root) %{_libdir}/notification-area-applet
%attr(755,root,root) %{_libdir}/wnck-applet
%{_datadir}/PolicyKit/policy/org.gnome.clockapplet.mechanism.policy
%{_datadir}/dbus-1/system-services/org.gnome.ClockApplet.Mechanism.service
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/gnome-panel
%{_datadir}/gnome-panelrc
%{_datadir}/idl/gnome-panel-2.0
%{_desktopdir}/gnome-panel.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_libdir}/bonobo/servers/*.server
%{_mandir}/man1/*.1*
%{_sysconfdir}/dbus-1/system.d/org.gnome.ClockApplet.Mechanism.conf
%{_sysconfdir}/gconf/schemas/clock.schemas
%{_sysconfdir}/gconf/schemas/fish.schemas
%{_sysconfdir}/gconf/schemas/panel-compatibility.schemas
%{_sysconfdir}/gconf/schemas/panel-general.schemas
%{_sysconfdir}/gconf/schemas/panel-global.schemas
%{_sysconfdir}/gconf/schemas/panel-object.schemas
%{_sysconfdir}/gconf/schemas/panel-toplevel.schemas
%{_sysconfdir}/gconf/schemas/window-list.schemas
%{_sysconfdir}/gconf/schemas/workspace-switcher.schemas

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpanel-applet-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpanel-applet-2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpanel-applet-2.so
%{_libdir}/libpanel-applet-2.la
%{_includedir}/panel-2.0
%{_pkgconfigdir}/libpanelapplet-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpanel-applet-2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/panel-applet

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-panel.spec,v $
Revision 1.226  2009/04/02 17:20:24  megabajt
- release 3

Revision 1.225  2009/03/18 12:52:49  patrys
- gtkdocize
- rel 2

Revision 1.224  2009/03/18 12:48:17  patrys
- merged from DEVEL

Revision 1.223.2.3  2009/03/18 12:46:46  patrys
- 2.26.0

Revision 1.223.2.2  2009/03/07 17:21:00  megabajt
- updated to 2.25.92

Revision 1.223.2.1  2009/02/20 23:19:17  megabajt
- updated to 2.25.91
- -logout-po.patch needs update

Revision 1.223  2009/01/01 23:19:16  baggins
- rel 3
- Allow gnome-panel to fall back to old style logout if gnome-session 2.24
  isn't present.

Revision 1.222  2008/11/26 10:45:53  megabajt
- drop unsupported la locale
- release 2

Revision 1.221  2008/11/25 19:32:07  megabajt
- updated to 2.24.2

Revision 1.220  2008/11/10 22:07:36  megabajt
- release 3

Revision 1.219  2008/10/23 14:11:17  megabajt
- drop ca@valencia locale
- release 2

Revision 1.218  2008/10/23 11:17:18  megabajt
- updated to 2.24.1

Revision 1.217  2008/09/27 12:15:08  megabajt
- updated Source-md5

Revision 1.216  2008/09/27 12:01:43  megabajt
- updated to 2.24.0; merged from DEVEL

Revision 1.213.2.13  2008/09/12 23:05:26  patrys
- 2.23.92
- don't remove the mixer - it's not a launcher

Revision 1.213.2.12  2008/09/04 10:10:00  patrys
- 2.23.91

Revision 1.213.2.11  2008/08/21 15:28:12  megabajt
- updated to 2.23.90.1

Revision 1.213.2.10  2008/08/19 09:49:45  patrys
- 2.23.90

Revision 1.213.2.9  2008/08/06 08:54:15  patrys
- proper gtk+ requirement
- bump e-d-s version (API/ABI breakage)

Revision 1.213.2.8  2008/08/05 19:47:26  patrys
- 2.23.6

Revision 1.213.2.7  2008/07/23 15:04:26  patrys
- 2.23.5

Revision 1.213.2.6  2008/06/17 13:52:34  megabajt
- updated to 2.23.4

Revision 1.213.2.5  2008/06/04 11:59:02  patrys
- use new gnome-desktop (binary incompatible)

Revision 1.213.2.4  2008-06-04 00:36:25  patrys
- 2.23.3

Revision 1.215  2008/05/31 21:01:53  megabajt
- package org.gnome.clockapplet.mechanism.policy

Revision 1.214  2008-05-31 20:03:25  adamg
- updated to 2.22.2

Revision 1.213.2.3  2008-05-14 18:45:40  patrys
- 2.23.2.1

Revision 1.213.2.2  2008-05-14 14:10:26  patrys
- 2.23.2

Revision 1.213.2.1  2008-05-13 09:28:33  patrys
- 2.23.1

Revision 1.213  2008-04-26 22:04:34  megabajt
- added -use-sysconfig-timezone.patch
- requires tzdata with TIMEZONE key in /etc/sysconfig/timezone
- release 2

Revision 1.212  2008-04-17 22:01:19  megabajt
- added S: PolicyKit-gnome

Revision 1.211  2008-04-16 09:45:56  patrys
- 2.22.1.3
- STBR when the builders are up

Revision 1.210  2008-04-10 16:04:01  patrys
- BR: NetworkManager-devel

Revision 1.209  2008-04-10 16:00:35  patrys
- 2.22.1.2

Revision 1.208  2008-04-08 16:54:17  megabajt
- updated to 2.22.1.1

Revision 1.207  2008-03-28 19:18:40  megabajt
- added R: tzdata (required by clock applet)

Revision 1.206  2008-03-11 20:32:24  patrys
- 2.22.0
- merged from DEVEL

Revision 1.205.2.6  2008-03-11 20:23:48  patrys
- 2.22.0

Revision 1.205.2.5  2008-02-12 18:15:41  megabajt
- ps locale is not supported

Revision 1.205.2.4  2008-02-12 18:02:20  megabajt
- updated to 2.21.91
- removed -clock and -gweather patches
- updated deps

Revision 1.205.2.3  2008-01-16 16:22:07  patrys
- add gweather location patches

Revision 1.205.2.2  2008-01-16 01:32:04  patrys
- BR: new gnome-menus or linking may fail (symbols moved around libgnomemenu)

Revision 1.205.2.1  2008-01-15 14:38:45  patrys
- 2.21.5

Revision 1.205  2008-01-09 19:35:19  megabajt
- updated to 2.20.3

Revision 1.204  2007-11-27 20:30:32  megabajt
- updated to 2.20.2
- use better way to fix locale name
- use --with-omf

Revision 1.203  2007-11-04 23:57:02  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.202  2007/10/16 17:28:23  megabajt
- updated to 2.20.1

Revision 1.201  2007/09/18 17:55:14  megabajt
- use Suggests instead of %banner message

Revision 1.200  2007/09/18 15:22:55  megabajt
- updated to 2.20.0.1; merged from DEVEL

Revision 1.199.2.3  2007/09/15 18:37:31  megabajt
- use %lang() for omf files

Revision 1.199.2.2  2007/09/05 19:43:42  megabajt
- updated to 2.19.92

Revision 1.199.2.1  2007/08/29 03:10:07  patrys
- 2.19.6

Revision 1.199  2007/07/26 19:25:20  megabajt
- updated to 2.18.3

Revision 1.198  2007/07/15 12:08:37  qboosh
- unified: -libs before -devel

Revision 1.197  2007/05/30 15:14:56  megabajt
- updated to 2.18.2

Revision 1.196  2007/04/11 17:39:23  megabajt
- updated to 2.18.1
- desktop patch is applied upstream

Revision 1.195  2007/03/16 07:54:24  megabajt
- added desktop patch to fix typo in gnome-panel.desktop
- release 2

Revision 1.194  2007/03/13 09:46:07  megabajt
- updated md5

Revision 1.193  2007/03/13 09:44:32  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.192.2.1  2007/03/02 22:10:54  megabajt
- updated to 2.17.92

Revision 1.192  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.191  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.190  2007/02/01 10:53:58  megabajt
- updated to 2.16.3

Revision 1.189  2007/01/20 09:52:25  cieciwa
- release 1.1 to rebuild.

Revision 1.188  2006/11/24 08:21:36  qboosh
- removed bogus BRs (gamin-static,libXres-devel), they don't belong here

Revision 1.187  2006/11/23 07:36:15  tiwek
- up to 2.16.2, build and work.
- applets WorkspaceSwitcher and WindowList still don't work.

Revision 1.186  2006/10/03 11:12:35  grzegol
- 2.16.1

Revision 1.185  2006/09/04 20:52:57  grzegol
- 2.16.0

Revision 1.184  2006/08/22 17:46:58  freetz
- 2.15.92, updated deps

Revision 1.183  2006/08/08 20:20:50  freetz
- 2.15.91, apidocs subpkg

Revision 1.182  2006/07/26 17:22:32  freetz
- 2.15.90, use rpm macros

Revision 1.181  2006/07/13 21:29:31  freetz
- corrected wrong g-i-t requirement, rel.5

Revision 1.180  2006/07/13 20:40:40  freetz
- really bump release to 4

Revision 1.179  2006/07/13 20:27:40  freetz
- rel.3, updated deps, (re)generate icon cache, --as-needed support

Revision 1.178  2006/06/09 20:09:02  freetz
- don't glib-gettextize (breaks locale creation), rel.3

Revision 1.177  2006/06/08 18:12:21  freetz
- bleeding edge deps, rel.2

Revision 1.176  2006/06/06 13:42:59  qboosh
- more

Revision 1.175  2006/06/06 13:42:41  qboosh
- merged update to 2.14.2 from AC-branch

Revision 1.174  2006/04/10 17:12:50  freetz
- 2.14.1

Revision 1.173  2006/04/02 06:59:37  freetz
- merged from DEVEL

Revision 1.171.2.5  2006/03/21 19:14:59  freetz
- rel.3 (dropping libhowl deps)

Revision 1.171.2.4  2006/03/19 17:29:39  freetz
- rel.2 for rebuild with libgsf 1.14.0

Revision 1.171.2.3  2006/03/13 21:11:16  freetz
- 2.14.0

Revision 1.171.2.2  2006/02/13 20:56:17  freetz
- 2.13.91

Revision 1.171.2.1  2006/01/27 21:05:48  freetz
- 2.13.90, merged launchers patches, updated BR

Revision 1.172  2006/02/08 16:05:38  freetz
- 2.12.3

Revision 1.171  2005/11/29 09:01:06  freetz
- 2.12.2

Revision 1.170  2005/10/04 20:48:31  freetz
- 2.12.1, forced BRs/Rs to mainstream versions

Revision 1.169  2005/09/06 13:21:34  aflinta
- merged form DEVEL, 2.12.0

Revision 1.166.4.13  2005/08/22 20:17:30  paladine
- updated to 2.11.92
- removed notification_area_applet patch

Revision 1.166.4.12  2005/08/17 21:51:38  aflinta
- rebuild with cairo, rel. 3

Revision 1.166.4.11  2005/08/14 20:12:04  freetz
- libs subpackage for easier developing, removed TODO and droped menu
  stripe, rel.2

Revision 1.166.4.10  2005/08/09 15:00:53  paladine
- rm /etc/gconf/schemas/panel-default-setup.entries

Revision 1.166.4.9  2005/08/09 14:16:24  paladine
- updated to 2.11.91
- itemize schemas

Revision 1.166.4.8  2005/08/09 11:40:41  aflinta
- rebuild with libwnck, release 3

Revision 1.166.4.7  2005/08/08 21:21:18  freetz
- rel.2 for rebuild with e-d-s 1.3.7

Revision 1.166.4.6  2005/07/26 14:42:07  freetz
- 2.11.90, more %%files, BRs/Rs update, session fix obsoleted (fixed in
  gnome-session 2.11.90), gnome-doc-utils for omf files

Revision 1.166.4.5  2005/07/25 09:07:02  freetz
- no_launchers_on_panel is back (ephy,evo launchers this time), no %%config
  for *.schemas, cleanup and cosmetics

Revision 1.166.4.4  2005/07/13 11:13:37  freetz
- 2.11.5

Revision 1.166.4.3  2005/07/05 13:55:01  freetz
- rel.2 for backported (and updated) session_fix patch from AC-branch

Revision 1.166.4.2  2005/07/04 22:02:03  freetz
- small todo memo

Revision 1.166.4.1  2005/07/03 17:07:14  freetz
- 2.11.4, BRs updated, no-launchers-on-panel not needed any more (yes, they
  are at last removed), fixed menu_stripe bcond mess (don't bcondize PatchX
  section dudes! please!)

Revision 1.166  2005/05/23 15:39:21  paladine
- R: xdg-menus, rel. 3

Revision 1.165  2005/04/13 21:58:08  paladine
- banner info fix, rel. 2

Revision 1.164  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.163  2005/04/08 12:45:20  paladine
- new style macros
- STBR

Revision 1.162  2005/04/05 23:14:47  paladine
- require proper macros version

Revision 1.161  2005/04/05 23:08:54  paladine
- updated to 2.10.1
- added no_mixer_applet patch removing mixer applet from default
  panel configuration
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode

Revision 1.160  2005/03/30 14:15:24  paladine
- added %%banner
- rel. 3

Revision 1.159  2005/03/20 20:48:39  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.158  2005/03/09 23:29:51  paladine
- added TODO

Revision 1.157  2005/03/09 23:27:00  paladine
- merged from DEVEL

Revision 1.156  2005/02/14 22:35:18  paladine
- updated to 2.8.3

Revision 1.155.2.7  2005/03/07 21:27:06  wiget
- updated to 2.10.0
